@import url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css');

body.page-node-type-dashboard .field {
  color: #333333;
  font-family: "Noto Sans", Arial, Helvetica, sans-serif;
  font-size: 20px;
  font-weight: 400;
  line-height: 30px;
}

.field--name-field-description {
  margin-bottom: 20px;
}

#download-button {
  display: block !important;
}
#download-button button,
.field--name-field-downloadable-files thead {
  background-color: #26374A;
  border: 2px;
  border-radius: 6px;
  display: block;
  padding: 12px;
}
#download-button button,
.field--name-field-downloadable-files thead th {
  color: #fff;
  font-size: 17.78px;
  font-weight: 400;
  gap: 12px;
  line-height: 21.33px;
}
#wb-cont {
  padding-top: 20px;
}
#download-button button {
  margin: 15px 0;
  white-space: nowrap;
}

.field--name-field-downloadable-files {
  border: 1px solid #26374A;
}
.field--name-field-downloadable-files .table-responsive {
  border: 0 none transparent;
  margin: 0;
}
.field--name-field-downloadable-files .table {
  margin-bottom: 0;
}
.field--name-field-downloadable-files .table > thead > tr > th:first-child {
  width: 100%;
}
.field--name-field-downloadable-files .table > thead > tr > th:nth-child(2) {
  cursor: pointer;
}
.field--name-field-downloadable-files .table > thead > tr > th:nth-child(2) button{
  color: #fff;
  opacity: 1;
}
.field--name-field-downloadable-files .table > thead > tr > th {
  border: 0 none transparent;
  line-height: 21.33px;
  vertical-align: top;
}
.field--name-field-downloadable-files tbody td {
  width: 100vw;
}

html.show-download-files .field--name-field-downloadable-files {
  display: inline-block;
  height: auto;
  left: 0;
  position: fixed;
  top: 10vh;
  width: 100vw;
  z-index: 5001;
}
html.show-download-files #popup-overlay {
  background-color: rgba(255, 255, 255, 0.5); /* Translucent grey */
  display: block; /* Hidden by default */
  height: 100%;
  left: 0;
  padding: 0, 8px;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 5010; /* One layer below the popup */
}
.field--name-field-add-popup-button {
  display: none;
}
.table-striped > tbody > tr:nth-of-type(even),
.table-striped > tbody > tr:nth-of-type(odd) {
  background-color: #fff;
}
.field--name-field-downloadable-files table > tbody .panel-body {
  width: 91vw;
}
.field--name-field-downloadable-files .file-icon,
.field--name-field-downloadable-files .file-link,
.field--name-field-downloadable-files .file-size {
  color: #333;
  font-weight: normal;
  display: inline-block;
}
.field--name-field-downloadable-files .file-icon {
  width: 25px;
}
.field--name-field-downloadable-files .file-icon .text-primary,
.field--name-field-downloadable-files .file-icon .icon {
  color: #333;
  padding-left: 0;
}
.field--name-field-downloadable-files .file-link {
  width: calc(100% - 100px - 25px);
}
.field--name-field-downloadable-files .file-size {
  float: right;
  margin: 5px 20px 5px 0 !important;
  position: absolute;
  right: 0;
  width: 100px;
  white-space: nowrap;
}

#heading-text,
#table-close,
html.no-download-button #download-button,
html.no-download-button #download-button button,
.field--name-field-downloadable-files,
.field--name-field-downloadable-files .field--label,
.field--name-field-downloadable-files header,
.field--name-field-downloadable-files tr td:nth-child(2) {
  display: none;
}
.field--name-field-downloadable-files table > tbody {
  display: block;
  padding: 20px;
  background-color: #fff;
}
.field--name-field-downloadable-files table > tbody > tr {
  background-color: #fff;
}
.field--name-field-downloadable-files table > tbody > tr > td,
.field--name-field-downloadable-files table > tbody > tr > td > span,
.field--name-field-downloadable-files .file > span,
.field--name-field-downloadable-files .panel,
.field--name-field-downloadable-files .panel-body {
  border: 0 none transparent;
  margin: 0;
  padding: 0;
}
.field--name-field-downloadable-files .file--mime-text-csv {
  margin: 0;
}
.field--name-field-downloadable-files .file--mime-text-csv        .icon::before,
.field--name-field-downloadable-files .file--mime-application-pdf .icon::before,
.field--name-field-downloadable-files .file--mime-application-zip .icon::before {
  content: "\f6dd";  /* Unicode for Font Awesome's 'file-pdf-o' icon */
  font-family: "Font Awesome 5 Free"; /* Ensure the right font is applied */
  font-weight: 900; /* Font Awesome's free icons require this for proper rendering */
  margin-right: 8px; /* Space between icon and text */
}
.field--name-field-downloadable-files .file--mime-application-pdf .icon::before {
  content: "\f1c1";  /* Unicode for Font Awesome's 'file-archive-o' icon */
}
.field--name-field-downloadable-files .file--mime-application-zip .icon::before {
  content: "\f1c6";  /* Unicode for Font Awesome's 'file-archive-o' icon */
}

.field--name-field-iframe-content {
  position: relative;
}
html.full-screen .field--name-field-iframe-content iframe {
  height: 100vh !important; /* We're using js directly to set height for aspect ratio, so we need this to be !important */
  left: 0;
  position: fixed;
  top: 0;
  width: 100vw;
  z-index: 5000;
}
html.full-screen {
  overflow: hidden;
}
#iframe-toggle-icon {
  background-color: rgba(255, 255, 255, 0.5);
  padding: 0 8px;  cursor: pointer;
  display: none;
  position: absolute;
  right: 0.5vw;
  top: 1vh;
  z-index: 5001;
}
html.full-screen #iframe-toggle-icon {
  position: fixed;
}
#iframe-toggle-icon .fa-compress-arrows-alt,
html.full-screen #iframe-toggle-icon .fa-expand-arrows-alt {
  display: none;
}
html.full-screen #iframe-toggle-icon .fa-compress-arrows-alt {
  display: inline-block;
}

body.page-node-type-dashboard .field--name-field-about-title {
  font-family: Lato, Arial, Helvetica, sans-serif;
  font-size: 32.04px;
  font-weight: 700;
  line-height: 40px;
  margin-bottom: 10px;
  padding: 15px 0;
}

.panel-default > .panel-heading {
  background-color: transparent;
  color: #284162;
  font-size: 22px;
  font-weight: 600;
  line-height: 33px;
}
.panel-default > .panel-heading a {
  text-decoration: none;
}

#wb-cont span,
.field--name-field-description,
/*.js-form-wrapper.form-wrapper.form-item.js-form-item.panel.panel-default > .panel-heading a,*/
.js-form-wrapper.form-wrapper.form-item.js-form-item.panel.panel-default > .panel-body .field--item {
  max-width: 750px;
}
#wb-cont span {
  display: inline-block;
}

#misc1 .panel-body .field--item:first-child,
#misc2 .panel-body .field--item:first-child,
#misc3 .panel-body .field--item:first-child,
.panel-default.misc .panel-heading a {
  display: none;
}
.panel-default.misc .panel-heading {
  height: 53px;
}

.field--name-field-mode,
.field--name-field-subject,
.field--name-field-product-source,
.field--name-field-data-type,
.field--name-field-topic {
  margin-bottom: 15px;
}
.field--name-field-subject .field--item a:first-of-type,
.field--name-field-subject .field--item a + text:first-of-type {
  display: none;
}

/* Small devices (landscape phones) */
@media (min-width: 576px) {
}

/* Medium devices (tablets) */
@media (min-width: 768px) {
  html.show-download-files .field--name-field-downloadable-files {
    left: 30vw;
    top: 30vh;
    width: 40vw;
  }

  .field--name-field-downloadable-files table > tbody .panel-body {
    width: 35vw;
  }
}

/* Large devices (desktops) */
@media (min-width: 992px) {
  body.lang-en #download-button button {
    margin: 0;
    position: absolute;
    right: 0;
    top: 28px;
  }
}

/* Extra large devices (large desktops) */
@media (min-width: 1200px) {
  #download-button button {
    margin: 0;
    position: absolute;
    right: 0;
    top: 28px;
  }
}
